condenser_api.get_account_history
Purpose
Retourne l'historique de compte (account history) — toutes les opérations d'un compte donné. Paramètres : account:string ; start:int, par exemple : -1 pour un historique en ordre inverse ou tout nombre positif ; limit:int jusqu'à 10000
account (string) | start (int) | limit (int) | |
|---|---|---|---|
"steemit" | 1000 | 1000 | Interroge le compte nommé steemit à partir du dernier élément de l'historique, jusqu'à 1 000 résultats. |
"alice" | -1 | 10000 | Interroge le compte nommé alice à partir du plus ancien élément de l'historique, jusqu'à 10 000 résultats. |
Voir aussi : account_history_api.get_account_history, Paginated API Methods
Parameters
PARAMETERS
json
[
"",
0,
1000
]Example
Example 1
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "condenser_api.get_account_history",
"params": [
"steemit",
1000,
1000
],
"id": 1
}'Example 2
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "condenser_api.get_account_history",
"params": [
"steemit",
-1,
10000
],
"id": 1
}'